﻿
//获取cookie里的值
//function getCookie(cookie_name)
//{
//	var strCookie=document.cookie;
//	var arrCookie=strCookie.split(";");
//	for(var i=0;i<arrCookie.length;i++)
//	{
//		var index = arrCookie[i].indexOf( cookie_name );
//		if( index >= 0 ) {
//				var v = unescape(arrCookie[i].substring( index + cookie_name.length + 1 ));
//
//			return v;
//		}
//	}
//	return "";
//}

//设置cookie
//function setCookie(name,value)
//{
//   var days=365;
//   var exp=new Date();
//   exp.setTime(exp.getTime()+days*24*60*60*1000);
//   document.cookie=name+"="+escape(value)+";expires="+exp.toGMTString()+";path=/";
//}

var timeistradeing = true;//是否是交易时间

//验证参数是否为空，或者未定义，或者为空字符串
function isNull(param)
{
	if(param==null || param == undefined || param == ""){
		return true;
	}
	return false;
}

function getQueryString(name) //获取游览器地址栏的内容
{
    var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r!=null){
        return unescape(r[2]);
    }else{
        return null;
    }
}

//强制取小数点后两位
//function changeTwoDecimal_f(x) {
//    var f_x = parseFloat(x);
//    if (isNaN(f_x)) {
//        alert('function:changeTwoDecimal->parameter error');
//        return false;
//    }
//    var f_x = Math.round(x * 100) / 100;
//    var s_x = f_x.toString();
//    var pos_decimal = s_x.indexOf('.');
//    if (pos_decimal < 0) {
//        pos_decimal = s_x.length;
//        s_x += '.';
//    }
//    while (s_x.length <= pos_decimal + 2) {
//        s_x += '0';
//    }
//    return s_x;
//}

function log(str){
	console.log(str);
}

/**
 * 将数值四舍五入(保留2位小数)后格式化成金额形式
 *
 * @param num 数值(Number或者String)
 * @return 金额格式的字符串,如'1,234,567.45'
 * @type String
 */
//function formatCurrency(num) {
//    num = num.toString().replace(/\$|\,/g,'');
//    if(isNaN(num))
//    num = "0";
//    sign = (num == (num = Math.abs(num)));
//    num = Math.floor(num*100+0.50000000001);
//    cents = num%100;
//    num = Math.floor(num/100).toString();
//    if(cents<10)
//    cents = "0" + cents;
//    for (var i = 0; i < Math.floor((num.length-(1+i))/3); i++)
//    num = num.substring(0,num.length-(4*i+3))+','+
//    num.substring(num.length-(4*i+3));
//    return (((sign)?'':'-') + num + '.' + cents);
//}

//格式化数字单位,返回数据含两位小数点
//function formatNumberUtil(num){
//	var number = Number(num);
//	if(number >= 1000000000000 || number <= -1000000000000){
//		return changeTwoDecimal_f(number/1000000000000)+" 万亿";
//	}else if(number >= 100000000 || number <= -100000000){
//		return changeTwoDecimal_f(number/100000000)+" 亿";
//	}else if(number >= 10000 || number <= -10000){
//		return changeTwoDecimal_f(number/10000)+" 万";
//	}else{
//		return number;
//	}
//}

//将时间以“-”格式化
//function formateDate(date){
//	var year = date.substring(0,4);
//	var month = date.substring(4,6);
//	var day = date.substring(6,8);
//	return year+"-"+month+"-"+day;
//}

function webSocketReq(method,start,destination,url,_channelID, _topic){
	var ws = new WebSocket(url);
	ws.status = 0;				//0：正在连接 1：连接成功 2：已关闭连接
	ws.url = url;				//连接地址
	ws.code = 1;
	ws.message = method;
	ws.start = start;
	ws.destination = destination;
	ws.register = function(){
		var msg ="cmd=uniapp.register&tunnelname="+_channelID ;//JSON.stringify({"cmd":"uniapp.register","tunnelname":_channelID});
		ws.send(msg);
	};
	ws.sub = function(){
		var msg ="cmd=uniapp.sub&topic="+_topic+"&destination="+ws.destination;// JSON.stringify({"cmd":"uniapp.sub","topic":_topic, "destination":ws.destination});
		ws.send(msg);
	};
	//ws.unsub = function(){
	//	var msg = JSON.stringify({"cmd":"uniapp.unsub","topic":"ywbd"});
	//	ws.send(msg);
	//};
	ws.onopen = function(){
		ws.status = 1;
		ws.register();
	}
	ws.onmessage = function(evt){
		var resultmsg = JSON.parse(evt.data);
		//log(evt.data);
		if(ws.code == 0){
			ws.message(evt);
			return;
		}
		
		var cmd = resultmsg.cmd;
		if(cmd == "uniapp.register"){
			ws.sub();
		}else if(cmd == "uniapp.sub"){
			ws.code = 0;
			if(!isNull(ws.start)){
				ws.start(evt);
			}
		}
	}
	ws.onclose = function(){
		log("已关闭: " + ws.url);
		ws.status = 2;
		ws =  new WebSocket(ws.url);
	}
	ws.onerror = function(){
		//alert("请求发生异常，请稍候再试!");
	}
	return ws;
}

//时间处理
function showTimeFun(premsgtime,curmsgtime)
{
	if(premsgtime == "")
	{
		return "";
	}
	var nowtime = new Date();
	var curm = nowtime.getMonth()+1;
	var curd = nowtime.getDate();
	var cury = nowtime.getFullYear();

	var curmsgY = curmsgtime.substring(0,4);
	var curmsgM = curmsgtime.substring(4,6);
	var curmsgD = curmsgtime.substring(6,8);
	var curmsgH = curmsgtime.substring(8,10);
	var curmsgMinute = curmsgtime.substring(10,12);
	var curmsgSec = curmsgtime.substring(12,14);

	var curmsgDate = new Date(curmsgY,curmsgM-1,curmsgD,curmsgH,curmsgMinute,curmsgSec);


	//var curmsgD = curmsgtime.substring(6,8);

	var prmsgY = premsgtime.substring(0,4);
	var prmsgM = premsgtime.substring(4,6);
	var prmsgD = premsgtime.substring(6,8);
	var prmsgH = premsgtime.substring(8,10);
	var prmsgMinute = premsgtime.substring(10,12);
	var prmsgSec = premsgtime.substring(12,14);

	var prmsgDate = new Date(prmsgY,prmsgM-1,prmsgD,prmsgH,prmsgMinute,prmsgSec);

	if((curmsgDate.getTime()-prmsgDate.getTime()) - 5 * 60 * 1000 > 0)
	{
		if(curm == curmsgM && curd == curmsgD && cury == curmsgY)
		{

			return curmsgH+":"+curmsgMinute;
		}
		else
		{
			if((curmsgDate.getTime() - prmsgDate.getTime()) - (7 * 24 * 3600 * 1000) >= 0)
			{
				//超过7天
				return curmsgY+"年"+curmsgM+"月"+curmsgD+"日 "+curmsgH + ":" + curmsgMinute+":"+curmsgSec;
			}
			else
			{
				var day = curmsgDate.getDay();

				if(day == 0)
				{
					return "星期天 "+curmsgH+":"+curmsgSec;
				}
				else if(day == 1)
				{
					return "星期一 "+curmsgH+":"+curmsgSec;
				}
				else if(day == 2)
				{
					return "星期二 "+curmsgH+":"+curmsgSec;
				}
				else if(day == 3)
				{
					return "星期三 "+curmsgH+":"+curmsgSec;
				}
				else if(day == 4)
				{
					return "星期四 "+curmsgH+":"+curmsgSec;
				}
				else if(day == 5)
				{
					return "星期五 "+curmsgH+":"+curmsgSec;
				}
				else(day == 6)
				{
					return "星期六 "+curmsgH+":"+curmsgSec;
				}
			}
		}
	}

	return "";
}

//当前时间
function getPresentTime()
{
	var pt = "";
	var nowtime = new Date();
	var curm = nowtime.getMonth()+1;
	var curmstr = "";
	if(curm<10)
	{
		curmstr = "0" + curm;
	}
	else
	{
		curmstr = curm.toString();
	}

	var curd = nowtime.getDate();

	var curdstr = "";
	if(curd<10)
	{
		curdstr = "0" + curd;
	}
	else
	{
		curdstr = curd.toString();
	}

	var cury = nowtime.getFullYear();
	var curystr  = cury.toString();

	var curHours = nowtime.getHours();
	var curHoursstr = "";
	if(curHours<10)
	{
		curHoursstr = "0" + curHours;
	}
	else
	{
		curHoursstr = curHours.toString();
	}
	var curMinute = nowtime.getMinutes();

	var curMinutestr = "";
	if(curMinute<10)
	{
		curMinutestr = "0" + curMinute;
	}
	else
	{
		curMinutestr = curMinute.toString();
	}

	var curSec = nowtime.getSeconds();

	var curSecstr = "";
	if(curSec<10)
	{
		curSecstr = "0" + curSec;
	}
	else
	{
		curSecstr = curSec.toString();
	}

	pt = curystr + curmstr + curdstr + curHoursstr + curMinutestr + curSecstr;
	return pt;
}

//将{applyid=227, type=apply, topic=glsqts, destination=17, applyaccount=122000000368}这样的数据转成json
function convertGltsToJson(str)
{
	str = str.replace(eval("/{/gi"), "");
	str = str.replace(eval("/}/gi"), "");
	str = str.replace(eval("/ /gi"), "");
	var strarray = str.split(",");

	var jsonObj = {};
	for ( var i in strarray){
		var a = strarray[i];
		var array = a.split("=");
		jsonObj[array[0]] = array[1];
	}

	return jsonObj;
}

//获取入参
function getParameter(param)
{
	var query = window.location.search;
	//console.log("getParameter", query);
	var iLen = param.length;
	var iStart = query.indexOf(param);
	if (iStart == -1) {
		return "";
	}
	iStart += iLen + 1;
	var iEnd = query.indexOf("&", iStart);
	if (iEnd == -1) {
		return query.substring(iStart);
	}
	else {
		return query.substring(iStart, iEnd);
	}
}


//返回用户信息
function isLogin()
{
	var userinfo = null;
	try
	{
		var localStorage = window.localStorage;
		userinfo = JSON.parse(localStorage.getItem('logininfo'));
	}
	catch (e){}
	return userinfo;
}

//置顶
function gotoUp()
{
	document.documentElement.scrollTop = document.body.scrollTop = 0;//页面置顶
}

function gettoday()
{
	var today = new Date();
	var yearstr = today.getFullYear();
	var monthN = today.getMonth()+1;
	var monthStr = "";

	if(monthN<10)
	{
		var monthStr = "0" + monthN;
	}
	else
	{
		var monthStr = monthN+"";
	}
	var dayN = today.getDate();
	if(dayN<10)
	{
		var dayStr = "0" + dayN;
	}
	else
	{
		var dayStr = dayN+"";
	}
	 var todayStr = yearstr + "-" + monthStr + "-" + dayStr;
	return todayStr;
}

function gettodayno()
{
	var today = new Date();
	var yearstr = today.getFullYear();
	var monthN = today.getMonth()+1;
	var monthStr = "";

	if(monthN<10)
	{
		var monthStr = "0" + monthN;
	}
	else
	{
		var monthStr = monthN+"";
	}
	var dayN = today.getDate();
	if(dayN<10)
	{
		var dayStr = "0" + dayN;
	}
	else
	{
		var dayStr = dayN+"";
	}
	var todayStr = yearstr + monthStr + dayStr;
	return todayStr;
}

function getyesterdayno()
{
	var today = new Date();
	var yesterday_milliseconds=today.getTime()-1000*60*60*24;
	var yesterday = new Date();
	yesterday.setTime(yesterday_milliseconds);
	//console.log("yes", yesterday);
	//console.log(today, yesterday);
	var yearstr = yesterday.getFullYear();
	var monthN = yesterday.getMonth()+1;
	var monthStr = "";

	if(monthN<10)
	{
		var monthStr = "0" + monthN;
	}
	else
	{
		var monthStr = monthN+"";
	}
	var dayN = yesterday.getDate();
	if(dayN<10)
	{
		var dayStr = "0" + dayN;
	}
	else
	{
		var dayStr = dayN+"";
	}
	var yesterdayStr = yearstr + monthStr + dayStr;
	return yesterdayStr;
}

function getonedayyesterdayno(_date)
{
	var today = _date;
	var yesterday_milliseconds=today.getTime()-1000*60*60*24;
	var yesterday = new Date();
	yesterday.setTime(yesterday_milliseconds);
	//console.log("yes", yesterday);
	//console.log(today, yesterday);
	var yearstr = yesterday.getFullYear();
	var monthN = yesterday.getMonth()+1;
	var monthStr = "";

	if(monthN<10)
	{
		var monthStr = "0" + monthN;
	}
	else
	{
		var monthStr = monthN+"";
	}
	var dayN = yesterday.getDate();
	if(dayN<10)
	{
		var dayStr = "0" + dayN;
	}
	else
	{
		var dayStr = dayN+"";
	}
	var yesterdayStr = yearstr + monthStr + dayStr;
	return yesterdayStr;
}


//格式化日期：yyyyMMdd
function formatDate(date) {
	var myyear = date.getFullYear();
	var mymonth = date.getMonth()+1;
	var myweekday = date.getDate();

	if(mymonth < 10){
		mymonth = "0" + mymonth;
	}
	if(myweekday < 10){
		myweekday = "0" + myweekday;
	}
	return (myyear+mymonth+ myweekday);
}
//获得某月的天数
function getMonthDays(myMonth){
	var monthStartDate = new Date(nowYear, myMonth, 1);
	var monthEndDate = new Date(nowYear, myMonth + 1, 1);
	var days = (monthEndDate - monthStartDate)/(1000*60*60*24);
	return days;
}

//获得本周的开始日期
var now = new Date();                    //当前日期
var nowDayOfWeek = now.getDay();         //今天本周的第几天
var nowDay = now.getDate();              //当前日
var nowMonth = now.getMonth();           //当前月
var nowYear = now.getYear();             //当前年
nowYear += (nowYear < 2000) ? 1900 : 0;  //

////获得当日的开始日期
var getTodayStartDate =  formatDate(now);
//获得本周的开始日期
var getWeekStartDate = new Date(nowYear, nowMonth, nowDay - nowDayOfWeek);
var getWeekStartDate =  formatDate(getWeekStartDate);
//获得本周的结束日期
var getWeekEndDate = new Date(nowYear, nowMonth, nowDay + (6 - nowDayOfWeek));
var getWeekEndDate =  formatDate(getWeekEndDate);
//获得本月的开始日期
var getMonthStartDate = new Date(nowYear, nowMonth, 1);
var getMonthStartDate =  formatDate(getMonthStartDate);

//获得本月的结束日期
var getMonthEndDate = new Date(nowYear, nowMonth, getMonthDays(nowMonth));
var getMonthEndDate =  formatDate(getMonthEndDate);


function getD(dt1){
	var d1=dt1.split(" ")[0];
	var t1=dt1.split(" ")[1];
	var y1=d1.split("-")[0];
	var m1=parseInt(d1.split("-")[1])-1;
	var da1=d1.split("-")[2];
	var h1=t1.split(":")[0];
	var mi1=t1.split(":")[1];
	var se1=t1.split(":")[2];
	var dat1=new Date(y1,m1,da1,h1,mi1,se1).getTime();
	return dat1;
}

function fromNow (dateStr) {
	var between = Date.now() / 1000 - Number(dateStr) / 1000;
	if (between < 3600) {
		if(~~(between / 60)==0){
			return '刚刚';
		}else{
			return (~~(between / 60)+'分钟前');
		}
	} else if (between < 86400) {
		return (~~(between / 3600)+'小时前');
	} else {
		return (~~(between / 86400)+'天前');
	}
}

var  zxflag = true;

function scrollBottomTest(id,fn){
	$(id).scroll(function(){
		viewH =$(this).height(),//可见高度
			contentH =$(this).get(0).scrollHeight,//内容高度
			scrollTop =$(this).scrollTop();//滚动高度
		//if(contentH - viewH - scrollTop <= 100) { }//到达底部100px时,加载新内容
		if(zxflag&&scrollTop/(contentH -viewH)>=0.999){ //到达底部100px时,加载新内容
			// 这里加载数据..
			fn();
		}
	});
}







//清空返回列表
function deleteback()
{
	var localStorage = window.localStorage;
	try
	{
		//console.log("backlistsucess");
		localStorage.removeItem("backList");
	}
	catch(e){
		//console.log("backlisterror");
	}
}

//当前页面信息放入返回列表
function setbackList(_str)
{
	var localStorage = window.localStorage;
	var arr = JSON.parse(localStorage.getItem('backList'));
	//console.log("backlist", arr)
	if(arr == null || arr == undefined)
	{
		arr = [];
	}
	arr.push(_str);
	//console.log("push",_str);
	localStorage.setItem('backList', JSON.stringify(arr));
}

//获取返回页面信息
function getbackList()
{
	var localStorage = window.localStorage;
	var arr = JSON.parse(localStorage.getItem('backList'));
	if(arr != null && arr!= undefined)
	{
		if(arr.length>0)
		{
			var str = arr[arr.length-1];
			arr.splice(arr.length-1,1);
			localStorage.setItem('backList', JSON.stringify(arr));
			return str;
		}
	}
}


//判断是否全为数值
function numericCheck(_str)
{
	var len = _str.length;
	for(var i=0;i<len;i++)
	{
		//console.log(_str.charAt(i));
		if(_str.charAt(i)>"9" || _str.charAt(i)<"0")
		{
			//alert("含有非数字字符");
			return false;
		}
	}
	return true;
}

//判断是否全为数值和小数点
function valueCheck(_str)
{
	var len = _str.length;
	for(var i=0;i<len;i++)
	{
		//console.log(_str.charAt(i));
		if(_str.charAt(i)>"9" || _str.charAt(i)<"0")
		{
			//alert("含有非数字字符");
			if(_str.charAt(i) != ".")
			{
				return false;
			}
		}
	}
	return true;
}

//小数位数判断
function decimaldigitsCheck(_str)
{
	var pointindex = _str.indexOf(".",1);
	var len = _str.length;
	if(len-1-pointindex>2)
	{
		return false;
	}
	else
	{
		return true;
	}
}

//小数位数判断
function decimaldigitsCheckall(_str, _len)
{
	var pointindex = _str.indexOf(".",1);
	if(pointindex == -1)
	{
		return true;
	}
	else
	{
		var len = _str.length;
		if(len-1-pointindex>_len)
		{
			return false;
		}
		else
		{
			return true;
		}
	}
}


//小数位数确定
function getdecimaldigits(_str)//jj 表示基金;a ：表示A股;b:B股;zs：指数;zq：债券
{
	var nunb = 2;
	if(_str == "jj")
	{
		nunb = 3;
	}
	else
	{
		nunb = 2;
	}
	return nunb;
}
//小数位数确定
function getdecimaldigits2(_str)//类型 0:股票 1：期货 2：期权 3：外汇，4指数，5：基金、6:债券、7、认购权证、8、认沽权证、9 牛证、10 熊证 11 其他12 上海b股 13 深圳b股
{
	//console.log("s", _str);
	var nunb = 2;
	if(_str == "5" || _str == "2" || _str == "13")//2,13,5
	{
		nunb = 3;
	}
	else
	{
		nunb = 2;
	}
	return nunb;
}


//判断substr字符串在str中出现的次数  isIgnore是否忽略大小写!
function countSubstr(str,substr,isIgnore){
	//console.log(str, substr);
	var count = 0;
	var reg="";
	if(isIgnore==true)
	{
		reg="/"+substr+"/gi";
	}
	else
	{
		reg="/"+substr+"/g";
	}
	reg=eval(reg);
	if(str.match(reg)==null)
	{
		count=0;
	}
	else
	{
		count=str.match(reg).length;
	}
	return count;
}


//截取小数点后两位
jqnumxsdlw = function(_value)
{
	var backvalue;
	var str = _value.toString();
	var str2 = "";
	var _index = str.indexOf(".", 0);//小数点的位置
	if(_index == -1)//无小数点
	{
		backvalue = _value;
	}
	else//有小数点
	{
		//console.log(str.length, _index, str.length);
		str2 = str.substring(_index, str.length);
		//console.log("backvalue",str2);
		if(str2.length <= 3)//小数点后两位
		{
			backvalue = _value;
		}
		else
		{
			backvalue = parseFloat(str.substring(0, _index+3));
			//console.log("backvalue",backvalue);
		}
	}
	return backvalue;
}

function getccStatus(_str)
{
	var str = "";
	switch (_str)
	{
		case "0":
			str = "正常";
			break;
		case "1":
			str = "涨停";
			break;
		case "2":
			str = "跌停";
			break;
		case "3":
			str = "停牌";
			break;
		case "4":
			str = "退市";
			break;
		default:
			break;
	}
	return str;
}

//证券类型
function getzqStatus(_str)
{
	var str = "";
	switch (_str)
	{
		case "zs":
			str = "4";
			break;
		case "a":
			str = "0";
			break;
		case "b":
			str = "0";
			break;
		case "jj":
			str = "5";
			break;
		default:
			str = "11";
			break;
	}
	return str;
}

//调整by步长
function changeByStep(_type, _step, _value)
{
	var value =  0;
	if(!_value)
	{
		_value = 0;
	}
	if(_type == "add")
	{
		value = Number(_value) + _step;
	}
	else if(_type == "sub")
	{
		value = Number(_value) - _step;
	}
	if(value<0)
	{
		value = 0;
	}
	return value;
}

function gettypewtsl(_typevalue,_sumnum,_slstep)
{
	var num = 0;
	num = _sumnum/parseInt(_typevalue);
	if(parseInt(_typevalue) != 1)
	{
		if(num%_slstep != 0)
		{
			num = Math.floor(num/_slstep)*_slstep;
		}
	}
	return num;
}

//获取某个日期
function getonedayno(_value)
{
	var yearstr = _value.getFullYear();
	var monthN = _value.getMonth()+1;
	var monthStr = "";

	if(monthN<10)
	{
		var monthStr = "0" + monthN;
	}
	else
	{
		var monthStr = monthN+"";
	}
	var dayN = _value.getDate();
	if(dayN<10)
	{
		var dayStr = "0" + dayN;
	}
	else
	{
		var dayStr = dayN+"";
	}
	var dateStr = yearstr + monthStr + dayStr;
	return dateStr;
}

//获取某个日期有-
function getoneday(_value)
{
	var yearstr = _value.getFullYear();
	var monthN = _value.getMonth()+1;
	var monthStr = "";

	if(monthN<10)
	{
		var monthStr = "0" + monthN;
	}
	else
	{
		var monthStr = monthN+"";
	}
	var dayN = _value.getDate();
	if(dayN<10)
	{
		var dayStr = "0" + dayN;
	}
	else
	{
		var dayStr = dayN+"";
	}
	var dateStr = yearstr + "-" + monthStr + "-" + dayStr;
	return dateStr;
}

//判断开始日期和结束日期是否大于当前日期
function beginendcheckDate(_value1, _value2)
{
	var mark = true;
	var today = new Date();
	var yesterday_milliseconds=today.getTime()-1000*60*60*24;
	var yesterday = new Date();
	yesterday.setTime(yesterday_milliseconds);
	if (_value1 < yesterday) {
		//console.log("开始日期 小于 当前日期");
		mark = false;
	}
	if (_value2 < yesterday) {
		//console.log("结束日期 小于 当前日期");
		mark = false;
	}
	return  mark;
}

//开始日期大于结束日期
function beginlargerthanendcheck(_value1, _value2)
{
	var mark = true;
	if (_value1 >= _value2) {
		//console.log("开始日期 大于 结束日期 ");
		mark = false;
	}
	return  mark;
}

//获取增加月份后日期
function getaddmonthTime(_day, count)
{
	var nowtime = _day;
	var curm = nowtime.getMonth();
	var curd = nowtime.getDate();
	var cury = nowtime.getFullYear();

	var curmsgDate = new Date(cury,curm + count,curd,0,0,0,0);
	return curmsgDate;
}

//获取日期
function getyearmonthday(_datestr)
{
	if(_datestr.indexOf("-",0) == -1)
	{
		var yearstr = _datestr.substr(0,4);
		var monthstr = _datestr.substr(4,2);
		var daystr = _datestr.substr(6,2);
	}
	else
	{
		var yearstr = _datestr.substr(0,4);
		var monthstr = _datestr.substr(5,2);
		var daystr = _datestr.substr(8,2);
	}
	if(monthstr.substr(0,1) == "0")
	{
		monthstr = monthstr.substr(1);
	}

	if(daystr.substr(0,1) == "0")
	{
		daystr = daystr.substr(1);
	}
	var date = new Date(yearstr, parseInt(monthstr)-1, daystr);
	return date;
}

//獲取組合狀態
function getPortfolioStatus(_str)
{
	var str = "";
	switch (_str)
	{
		case "A":
			str = "審核中";
			break;
		case "Y":
			str = "操盤中";
			break;
		case "N":
			str = "已結束";
			break;
		case "U":
			str = "審核未通過";
			break;
		default:
			str = "";
			break;
	}
	return str;
}

//獲取組合类型
function getPortfoliotype(_str)
{
	var str = "";
	switch (_str)
	{
		case "longterm":
			str = "長期";
			break;
		case "shortterm":
			str = "短期";
			break;
			str = "";
			break;
	}
	return str;
}

//平均持股数
function getAvgholdnum(_str)
{
	var str = "";
	switch (_str) {
		case "1":
			str = "3";
			break;
		case "2":
			str = "3-10";
			break;
		case "3":
			str = "10";
			break;
		default:
			str = "";
			break;
	}
	return str;
}

//平均调仓周期
function getAvgchangeposition(_str)
{
	var str = "";
	switch (_str) {
		case "1":
			str = "1-2d";
			break;
		case "2":
			str = "1-2w";
			break;
		case "3":
			str = "1-2m";
			break;
		case "4":
			str = "0.5y";
			break;
		case "5":
			str = "1y";
			break;
		default:
			str = "";
			break;
	}
	return str;
}

//平均持股数
function getAvgholdnumInfo(_str)
{
	var str = "";
	switch (_str) {
		case "3":
			str = "3隻以下";
			break;
		case "3-10":
			str = "3～10隻";
			break;
		case "10":
			str = "10隻以上";
			break;
		default:
			str = "";
			break;
	}
	return str;
}

//平均调仓周期
function getAvgchangepositionInfo(_str)
{
	var str = "";
	switch (_str) {
		case "1-2d":
			str = "1～2天";
			break;
		case "1-2w":
			str = "1～2周";
			break;
		case "1-2m":
			str = "1～2月";
			break;
		case "0.5y":
			str = "半年";
			break;
		case "1y":
			str = "一年";
			break;
		default:
			str = "";
			break;
	}
	return str;
}

//獲取買賣類別
function getflagInfo(_str)
{
	var str = "";
	if(_str == "B")
	{
		str = "買入";
	}
	else if(_str == "S")
	{
		str = "賣出";
	}
	return str;
}

//獲取買賣類別
function getflagInfo2(_str)
{
	var str = "";
	if(_str == "B")
	{
		str = "調入";
	}
	else if(_str == "S")
	{
		str = "調出";
	}
	return str;
}

function getcwShowValue(_value)
{
	var value = "";
	if(parseFloat(_value) == 0)
	{
		value = "空倉";//当前仓位
	}
	else if(parseFloat(_value) == 1)
	{
		value = "滿倉";//当前仓位
	}
	else
	{
		value = (parseFloat(_value)*100).toFixed(2) + "%";//当前仓位
	}
	return value;
}

//圖形開始時間
function getchartStartday(_starttime, _timetype)
{
	var  date = "";
	var start = _starttime;
	//start = "2017-02-01";
	var year = start.substr(0,4);
	var month = start.substr(5,2);
	var day = start.substr(8,2);
	var today = new Date();
	var begday_milliseconds = "";
	var begday;
	var zhbegday = year + month + day;
	//console.log(555555555,zhbegday);
	var zhbgtdayvalue = getyearmonthday(start);
	if(_timetype == 'all')
	{
		date = zhbegday;
	}
	else if(_timetype == 'y')
	{
		begday_milliseconds = today.getTime()-1000*60*60*24*365;
		begday = new Date();
		begday.setTime(begday_milliseconds);
		if(beginlargerthanendcheck(zhbgtdayvalue, begday) == false)
		{
			date = zhbegday;
		}
		else
		{
			date = getonedayno(begday);
		}

	}
	else if(_timetype == 'm')
	{
		begday_milliseconds = today.getTime()-1000*60*60*24*30;
		begday = new Date();
		begday.setTime(begday_milliseconds);
		if(beginlargerthanendcheck(zhbgtdayvalue, begday) == false)
		{
			date = zhbegday;
		}
		else
		{
			date = getonedayno(begday);
		}

	}
	else if(_timetype == '1m')
	{
        begday_milliseconds = today.getTime()-1000*60*60*24*30;
        begday = new Date();
        begday.setTime(begday_milliseconds);
        if(beginlargerthanendcheck(zhbgtdayvalue, begday) == false)
        {
            date = zhbegday;
        }
        else
        {
            date = getonedayno(begday);
        }
	}
    else if(_timetype == '3m')
    {
        begday_milliseconds = today.getTime()-1000*60*60*24*30*3;
        begday = new Date();
        begday.setTime(begday_milliseconds);
        if(beginlargerthanendcheck(zhbgtdayvalue, begday) == false)
        {
            date = zhbegday;
        }
        else
        {
            date = getonedayno(begday);
        }
    }
    else if(_timetype == '6m')
    {
        begday_milliseconds = today.getTime()-1000*60*60*24*30*6;
        begday = new Date();
        begday.setTime(begday_milliseconds);
        if(beginlargerthanendcheck(zhbgtdayvalue, begday) == false)
        {
            date = zhbegday;
        }
        else
        {
            date = getonedayno(begday);
        }
    }
	else if(_timetype == 'w')
	{
		begday_milliseconds = today.getTime()-1000*60*60*24*7;
		begday = new Date();
		begday.setTime(begday_milliseconds);
		if(beginlargerthanendcheck(zhbgtdayvalue, begday) == false)
		{
			date = zhbegday;
		}
		else
		{
			date = getonedayno(begday);
		}
	}
	return date;
}

//圖的對比對象值
function getindexTypeVaue(_str)
{
	var ind = 1;
	switch (_str)
	{
		case "hs":
			ind = 1;
			break;
		case "ce":
			ind = 2;
			break;
		case "hs300":
			ind = 3;
			break;
		default :
			break;
	}
	return ind;
}

//判断输入字符串长度（汉字算两个字符，字母数字算一个）

function getByteLen(val) {
	var len = 0;
	for (var i = 0; i < val.length; i++) {
		var a = val.charAt(i);
		if (a.match(/[^\x00-\xff]/ig) != null) {
			len += 2;
		}
		else {
			len += 1;
		}
	}
	return len;
}

//关闭当前窗口，返回
function closeCurrentInterface(_currenturl)//当前路径
{
	//返回上一级窗口参数处理
}

function getzqgsLogo(_str) {
    var str = "";
    switch(_str) {
        case "moni": //模拟证券
            str = "img/logo_moni.png";
            break;
        case "91000": //恒生网络
            str = "img/logo_hensheng.png";
            break;
        case "xdzq": //信达证券
            str = "img/logo_xingda.png";
            break;
        case "ghzq": //国海证券
            str = "img/logo_guohai.png";
            break;
        case "dhzq": //东海证券
            str = "img/logo_donghai.png";
            break;
        case "cjzq": //长江证券
            str = "img/logo_changjiang.png";
            break;
        case "zxzq": //中信证券
            str = "img/logo_zhongxing.png";
            break;
        case "htzq2": //恒泰证券
            str = "img/logo_hengtai.png";
            break;
        case "jyzq": //金元证券
            str = "img/logo_jinyuan.png";
            break;
        case "xnzq": //西南证券
            str = "img/logo_xinan.png";
            break;
        case "htzq1": //华泰证券
            str = "img/logo_huatai.png";
            break;
        case "dtzq": //大同证券
            str = "img/logo_datong.png";
            break;
        case "txzq": //同信证券
            str = "img/logo_tongxing.png";
            break;
        case "tfzq": //天风证券
            str = "img/logo_tianfen.png";
            break;
        case "fzzq": //方正证券
            str = "img/logo_fangzhen.png";
            break;
        case "hlzq": //华林证券
            str = "img/logo_hualin.png";
            break;
        case "wlzq": //万联证券
            str = "img/logo_wanlian.png";
            break;
        case "hczq": //华创证券
            str = "img/logo_huachuang.png";
            break;
        case "dycyzq": //第一创业证券
            str = "img/logo_diyichuangye.png";
            break;
        case "zygjzq": //中银国际
            str = "img/logo_zhongying.png";
            break;
        case "zszq1": //中山证券
            str = "img/logo_zhongshan.png";
            break;
        case "sxzq": //山西证券
            str = "img/logo_sanxi.png";
            break;
        case "gzzq": //广州证券
            str = "img/logo_guangzhou.png";
            break;
        case "zszq2": //浙商证券
            str = "img/logo_zheshang.png";
            break;
        case "zxwt": //中信万通
            str = "img/logo_zhongxingwantong.png";
            break;
        case "shzq": //上海证券
            str = "img/logo_shanghai.png";
            break;
        case "gszq": //国盛证券
            str = "img/logo_guosheng.png";
            break;
        case "cfzq": //财富证券
            str = "img/logo_caifu.png";
            break;
        case "glzq": //国联证券
            str = "img/logo_guolian.png";
            break;
        case "gtja": //国泰君安
            str = "img/logo_guotaijunan.png";
            break;
        case "swhy": //申万宏源
            str = "img/logo_shengwanhongyuan.png";
            break;
        case "hxzq": //华鑫证券
            str = "img/logo_huaxin.png";
            break;
        case "dgzq": //东莞证券
            str = "img/logo_dongguan.png";
            break;
        case "xsdzq": //新时代证券
            str = "img/logo_xinshidai.png";
            break;
        case "gjzq": //国金证券
            str = "img/logo_guojin.png";
            break;
        case "dbzq": //东北证券
            str = "img/logo_dongbei.png";
            break;
        case "zszq": //招商证券
            str = "img/logo_zhaoshang.png";
            break;
        case "zxjtzq": //中信建投
            str = "img/logo_zhongxinjiantou.png";
            break;
        case "mzzq": //民族证券
            str = "img/logo_mingzhu.png";
            break;
		case "tradebook_mzzq": //民族证券
            str = "img/logo_mingzhong.png";
            break;
        case "hxzq1": //宏信证券
            str = "img/logo_hongxing.png";
            break;
        case "htzq": //海通证券
            str = "img/logo_haitong.png";
            break;
        case "axzq": //安信证券
            str = "img/logo_anxing.png";
            break;
        case "hrzq": //华融证券
            str = "img/logo_huarong.png";
            break;
        case "ztzq": //中投证券
            str = "img/logo_zhonguozhongtou.png";
            break;
        case "dfzq": //东方证券
            str = "img/logo_dongfang.png";
            break;
        case "xyzq": //兴业证券
            str = "img/logo_xingye.png";
            break;
        case "mszq": //民生证券
            str = "img/logo_mingshneg.png";
            break;
        case "gxzq": //国信证券
            str = "img/logo_guoxing.png";
            break;
        case "gfzq": //广发证券
            str = "img/logo_guangfa.png";
            break;
        case "gdzq": //光大证券
            str = "img/logo_guangda.png";
            break;
        case "swqh": //光大证券
            str = "img/logo_swqh.png";
            break;
        default:str = "img/5050touming.png";break;
    }
    return str;
}


function getzhuhetype(str){
	var time_style;
	switch (str) {
		case "1-2d" :
			time_style ="1-2天";
			break;
		case "1-2m" :
			time_style ="1-2月";
			break;
		case "1-2w" :
			time_style ="1-2周";
			break;
		case "0.5y" :
			time_style ="半年";
			break;
		case "1y" :
			time_style ="1年";
			break;
		default:
			time_style="全部";
	}
	return time_style; //合并字符串 形成操作频率
}
function transformJYBstockcode(exchange){
	var JYBstockcodeStr;
	switch (exchange){
		case "HK":
            JYBstockcodeStr = "E";
            break;
        case "SZ":
            JYBstockcodeStr = "A";
            break;
        case "SH":
            JYBstockcodeStr = "B";
            break;
        case "US":
            JYBstockcodeStr = "N";
            break;
        default:
            JYBstockcodeStr = ""
    }
    return JYBstockcodeStr; //轉化成JYB股票前面的代號
}
function JYBstockCodetransformType(stockCode){
    var stockCodeandType;
    switch (stockCode.substring(0,1)){
        case "E":
            stockCodeandType = stockCode.substring(1)+"."+"HK"
            break;
        case "A":
            stockCodeandType = stockCode.substring(1)+"."+"SZ";
            break;
        case "B":
            stockCodeandType = stockCode.substring(1)+"."+"SH";
            break;
        case "N":
            stockCodeandType = stockCode.substring(1)+"."+"US";
            break;
        default:
            stockCodeandType = "没有该类型"
    }
    return stockCodeandType;
}


function comparedate(date1,date2){ //date1 yyyy-mm-dd 比较两个日期的大小
	var tabno = "";
	var oDate1 = new Date(date1);
	var oDate2 = new Date(date2);
	if(oDate1.getTime() > oDate2.getTime()){
		tabno = 1;
	} else {
		tabno = 2;
	}
	return tabno;
}

function mergeObject (a,b) {
	for ( var k in b) {
		a[k] = b[k];
	}
	return a;
}

function parseObjectFromUrl (s) {

	if (s == undefined) {
		return {}
	}

	if (s.length == 0 ) {
		return {};
	}

	var array1 = s.split("$");
	var obj = {};
	for (var i = 0 ; i < array1.length ; i ++ ) {
		var array2 = array1[i].split("_");
		obj[array2[0]] = array2[1];
	}
	return obj;
}


function goback(){//安卓返回键调用方法
	var scope = angular.element(document.getElementById("indexMain")).scope();
	scope.$apply(function () {
		layer.closeAll();
		if(scope.xinyuRouterStatePreState.name == 'home'|| scope.xinyuRouterStatePreState.name == 'home.ibroker'||scope.xinyuRouterStatePreState.name == 'home.search'||scope.xinyuRouterStatePreState.name == 'home.my'){
			// if(scope.xinyuRouterStatePreState.name == 'home.ibroker'){
             //    scope.thisClearInterval(scope.homepointlistobj.BrokerCallBcakintervalId);
             //    scope.thisClearInterval(scope.homepointlistobj.getpointlistintervalId);
			// }
			// if(scope.xinyuRouterStatePreState.name == 'home.search'){
             //    scope.thisClearInterval(scope.brokersearchCtrlobj.BrokerCallBcakintervalId);
             //    scope.thisClearInterval(scope.home_searchCtrlobj.selectPortfolioByIdintervalId);
			// }
			// if(scope.xinyuRouterStatePreState.name == 'home.my'){
             //    scope.cancel(scope.home_myCtrlobj.wendatimer);
             //    scope.cancel(scope.home_myCtrlobj.jijingrentimer);
             //    scope.cancel(scope.home_myCtrlobj.zuhetimer);
			// }
			logoutIBrokerByJYBNative();
		}else if(scope.xinyuRouterStatePreState.name == 'followstep3'){
			scope.xinyuRouterState.goback(false,2,scope.BackxinyuRouterStatePreState);
		}else{
			scope.xinyuRouterState.goback(false,1,scope.BackxinyuRouterStatePreState);
		}
	});
}
function goto(name,param,options,recordState,backpar){//原生调用通知跳转页
	var scope = angular.element(document.getElementById("indexMain")).scope();
	scope.$apply(function () {
		layer.closeAll();
		scope.xinyuRouterState.go(name,param,options,recordState,backpar)
	});
}

//獲取錯誤信息
function getErrorInfo(_str)
{
    var ERROR_CODE_DEF = ERROR_CODE_DEF_CN;
	if(jfMark == 'zh-CN'){
		ERROR_CODE_DEF = ERROR_CODE_DEF_CN;
	}else if(jfMark == 'zh-HK'){
		ERROR_CODE_DEF = ERROR_CODE_DEF_HK;
	}
	if (ERROR_CODE_DEF[_str]) {
		return ERROR_CODE_DEF[_str];
	} else {
		return '';
	}
}

//获取时间格式的转化
function  getchangetimeType(dateStr,$i18next) {
    // console.log('============',new Date().getDate());
    // console.log( dateStr);
    var starttime = dateStr.replace(new RegExp("-", "gm"), "/").split(".")[0];
    // console.log(starttime);
    // console.log('--------------',new Date(starttime).getDate());
    // console.log('==========',new Date('2015/8/13 17:31:5.0').getTime());;
    // console.log('++++++++++++++++',new Date(dateStr.replace(new RegExp("-","gm"),"/")).getTime() / 1000);
    var between = (Date.now() / 1000) - (new Date(starttime).getTime() / 1000);
    if (between < 3600) {
        //console.log('获取时间格式的转化',between);

        if (~~(between / 60) == 0) {
            return $i18next.t('timeTypeChangeFilter.ganggang')//'刚刚';
        } else {
            return (~~(between / 60) + $i18next.t('timeTypeChangeFilter.fenzhongqian'))//'分钟前');
        }
    } else if (between < 86400) {
        // return (~~(between / 3600)+'小时前');
        if (new Date().getDate() == new Date(starttime).getDate()) {
            return dateStr.split(" ")[1].split(".")[0].substr(0, 5);
        } else {
            if (dateStr != "" && dateStr != null && dateStr != undefined && dateStr != "--") {
                if (dateStr.indexOf("-", 0) == -1) {
                    var year = dateStr.toString().substr(0, 4);
                    var month = dateStr.toString().substr(4, 2);
                    var day = dateStr.toString().substr(6, 2);
                    var shi = dateStr.toString().substr(9, 2);
                    var fen = dateStr.toString().substr(12, 2);
                    var miao = dateStr.toString().substr(15, 2);
                    //var sfm = input.toString().substr(9, 8);

                    return month + "-" + day + " " + shi + ":" + fen;
                }
                else {
                    var year = dateStr.toString().substr(0, 4);
                    var month = dateStr.toString().substr(5, 2);
                    var day = dateStr.toString().substr(8, 2);
                    var shi = dateStr.toString().substr(11, 2);
                    var fen = dateStr.toString().substr(14, 2);
                    return month + "-" + day + " " + shi + ":" + fen;
                }
            }
            else {
                return "--";
            }
        }

    } else if (between < 86400 * 365) {
        if (dateStr != "" && dateStr != null && dateStr != undefined && dateStr != "--") {
            if (dateStr.indexOf("-", 0) == -1) {
                var year = dateStr.toString().substr(0, 4);
                var month = dateStr.toString().substr(4, 2);
                var day = dateStr.toString().substr(6, 2);
                var shi = dateStr.toString().substr(9, 2);
                var fen = dateStr.toString().substr(12, 2);
                var miao = dateStr.toString().substr(15, 2);
                //var sfm = input.toString().substr(9, 8);

                return month + "-" + day + " " + shi + ":" + fen;
            }
            else {
                var year = dateStr.toString().substr(0, 4);
                var month = dateStr.toString().substr(5, 2);
                var day = dateStr.toString().substr(8, 2);
                var shi = dateStr.toString().substr(11, 2);
                var fen = dateStr.toString().substr(14, 2);
                return month + "-" + day + " " + shi + ":" + fen;
            }
        }
        else {
            return "--";
        }
    }
    else {
        // return (~~(between / 86400)+'天前');
        return dateStr.split(" ")[0];
    }
}
//格式化数据价格
function moneyType(input) {
    var out = "";
    if (input == null || typeof(input) == 'undefined') {
        return "--";
    }
//        if (!angular.isNumber(input)) {
//            return input;
//        }
    if (isNaN(input)) {
        return input;
    }
    input = Number(input);
    input = input.toFixed(2);
    var pointPose = input.toString().indexOf(".");
    var nagitiveNum = false;

    if (input.toString().indexOf("-") > -1) {
        nagitiveNum = true;
    }

    var intPartlength;
    var doublePart;
    var intPart;
    if (pointPose > -1)
    {
        if (nagitiveNum) {
            intPart = input.toString().substring(1, pointPose);
        } else {
            intPart = input.toString().substring(0, pointPose);
        }
        intPartlength = intPart.substring(0, pointPose).length;
        doublePart = input.toString().substring(pointPose, pointPose + 3);
    } else
    {
        if (nagitiveNum)
        {
            intPart = input.toString().substring(1);
        } else
        {
            intPart = input.toString().substring(0);
        }
        intPartlength = intPart.length;
        doublePart = ".00";
    }

    var count = 0 ;
    for (var i = intPartlength - 1; i >= 0; i--) {
        count ++ ;
        out = intPart.charAt(i) + out;
        if ( count%3 == 0 && i != 0 && i != intPartlength - 1)
        {
            out = "," + out;
        }
    }

    out = out + doublePart;
    if (nagitiveNum) {
        return "-" + out;
    } else {
        return "" + out;
    }
}
//数字动画
function animateNum(id,number,time,symbol){
    var decimal_places = 2;
    var decimal_factor = decimal_places === 0 ? 1 : decimal_places * 10;
    $(id)
        .animateNumber(
            {
                number: number * decimal_factor,
                numberStep: function(now, tween) {
                    var floored_number = Math.floor(now) / decimal_factor,
                        target = $(tween.elem);
                    if (decimal_places > 0) {
                        // force decimal places even if they are 0
                        floored_number = floored_number.toFixed(decimal_places);
                        // replace '.' separator with ','
                        floored_number = floored_number.toString().replace('.', '.');
                    }
                    target.text(symbol + floored_number);
                }
            },
            time
        );
    var moneyTypeNum = moneyType(number)
    setTimeout(function(){
        $(id).text(symbol + moneyTypeNum)
    },time+10)
}
//获取原生股票名
function getstocknamebyJYB(str) {
    var message = {'code':str}
    console.log('入参',message);
    queryStockInfoByJYBNative(message,function (result) {
        console.log('获取原生股票名',result);
        if(result.result == '1'){
            return result.list[0].name
		}
    })
}
//获取某一天的前一天 s yyyymmddss
function getPreDay(s){
    var y = parseInt(s.substr(0,4), 10);
    var m = parseInt(s.substr(4,2), 10)-1;
    var d = parseInt(s.substr(6,2), 10);
    var dt = new Date(y, m, d-1);
    y = dt.getFullYear();
    m = dt.getMonth()+1;
    d = dt.getDate();
    m = m<10?"0"+m : m;
    d = d<10?"0"+d : d;
    return y + "" + m + "" + d;
}


function createcanvas(id){
	var canvas = document.createElement('canvas');
	canvas.id = id;
    canvas.setAttribute("width", document.body.clientWidth - 26); // 设置canvas的内部宽度
	canvas.style.width = document.body.clientWidth - 26 + "px";
	canvas.style.height = 16 + "rem";
	canvas.style.position = 'absolute';
	canvas.style.left = '1.3rem';
	canvas.style.fontSize = '10px';
	return canvas;
}
//数组去重的方法
Array.prototype.uniqueEle = function(){
    var res = [];
    var json = {};
    for(var i = 0; i < this.length; i++){
        if(!json[this[i]]){
            res.push(this[i]);
            json[this[i]] = 1;
        }
    }
    return res;
}
//网络重连后调用的方法
function networkRelink($scope,fn) {
    acquireUserInfoByJYBNative(function (result) {//判断是否登录交易宝
        if (result.result == '1') {
            var data = {
                extra_id: result.userid
                , command: 'ibroker.CustomerLoginAction'
            }
            $.ajax({
                type: 'get',
                url: jsonpUrl,
                data: data,
                success: function (_d) {
                    if (_d.op.code == 'Y') {
                        console.log('CustomerLoginAction成功',_d);
                        userdataobj = _d.data;
                        console.log('dataobjdataobjdataobj',userdataobj.customer_user_id);
                        //获取到的数据重新赋值给当前页面的客户值
                        $scope.customer_user_id = userdataobj.customer_user_id;
                        $scope.customer_user_head = userdataobj.head;
                        $scope.customer_user_nickname = userdataobj.nickname;
                        $scope.qsinfo.account = userdataobj.account;
                        if(userdataobj.userName == undefined){
                            $scope.qsinfo.customer_userName = "";
                        }else {
                            $scope.qsinfo.customer_userName = userdataobj.userName;
                        }
                        //已经登陆后调用的方法
                        fn()
                    }else{
                        console.log('CustomerLoginAction失败',_d);
                    }
                },
                error:function(_d){
                    console.log('CustomerLoginAction失败',_d);
                },
                dataType: 'json'
            });
        }
        else {
			//没有登陆调用的方法
  			fn()
        }
    });
}

//添加滚动条开始和结束事件
(function(){
    var special = jQuery.event.special,
        uid1 = 'D' + (+new Date()),
        uid2 = 'D' + (+new Date() + 1);
    special.scrollstart = {
        setup: function() {
            var timer,
                handler =  function(evt) {
                    var _self = this,
                        _args = arguments;
                    if (timer) {
                        clearTimeout(timer);
                    } else {
                        evt.type = 'scrollstart';
                        jQuery.event.handle.apply(_self, _args);
                    }
                    timer = setTimeout( function(){
                        timer = null;
                    }, special.scrollstop.latency);
                };
            jQuery(this).bind('scroll', handler).data(uid1, handler);
        },
        teardown: function(){
            jQuery(this).unbind( 'scroll', jQuery(this).data(uid1) );
        }
    };
    special.scrollstop = {
        latency: 300,
        setup: function() {
            var timer,
                handler = function(evt) {
                    var _self = this,
                        _args = arguments;
                    if (timer) {
                        clearTimeout(timer);
                    }
                    timer = setTimeout( function(){
                        timer = null;
                        evt.type = 'scrollstop';
                        jQuery.event.handle.apply(_self, _args);
                    }, special.scrollstop.latency);
                };
            jQuery(this).bind('scroll', handler).data(uid2, handler);
        },
        teardown: function() {
            jQuery(this).unbind( 'scroll', jQuery(this).data(uid2) );
        }
    };
})();
//组合推送数据更新定时器函数
// function Portfolio_PUSH_timer() {
//     $scope.thisClearInterval($scope.homeportfolioobj.PortfolioCallBcakintervalId);
//     $scope.homeportfolioobj.PortfolioCallBcakintervalId = setInterval(function () {//定时获取消息模块客户动态未读消息
//         $scope.homeportfolioobj.idstr = $scope.homeportfolioobj.portfolio_idstr.substring(0,$scope.homeportfolioobj.portfolio_idstr.length-1)
//         if($scope.homeportfolioobj.idstr.length>0){
//             $scope.homeportfolioobj.selectPortfolioById($scope.homeportfolioobj.idstr);
//         }
//     }, setPUSH_time);
// }