function ibrokerApp() {};
ibrokerApp.prototype.loginBrokerAccountByJYBNative = function (successCallback,request) {
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "loginBrokerAccountByJYBNative", [request]);
};
ibrokerApp.prototype.setIBrokerStyleByJYBNative = function (successCallback) {//IBroker界面配置信息
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "setIBrokerStyleByJYBNative", []);
};
ibrokerApp.prototype.shareIBrokerByJYBNative = function (successCallback,request) {//分享
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "shareIBrokerByJYBNative", [request]);
};
ibrokerApp.prototype.reviewIndividualStockByJYBNative = function (successCallback,request) {//行情界面
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "reviewIndividualStockByJYBNative", [request]);
};
ibrokerApp.prototype.checkNotificationIsOpenedByJYBNative = function () {//查看通知是否打开
    cordova.exec(null, null, "TBIBrokerPlugin", "checkNotificationIsOpenedByJYBNative", []);
};
ibrokerApp.prototype.iBOpenAccountByJYBNative = function () {//查看广告图片的开户列表
    cordova.exec(null, null, "TBIBrokerPlugin", "iBOpenAccountByJYBNative", []);
};
ibrokerApp.prototype.getADForIBrokerByJYBNative = function (successCallback) {//提供IBroker首页广告
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "getADForIBrokerByJYBNative", []);
};
ibrokerApp.prototype.loginJYBAccountByJYBNative = function (successCallback) {//登陆交易宝
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "loginJYBAccountByJYBNative", []);
};
ibrokerApp.prototype.queryStockInfoByJYBNative = function (successCallback,request) {//获取股票的现价，涨跌幅
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "queryStockInfoByJYBNative", [request]);
};
ibrokerApp.prototype.acquireUserInfoByJYBNative = function (successCallback) {//查询是否登录
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "acquireUserInfoByJYBNative", []);
};
ibrokerApp.prototype.logoutIBrokerByJYBNative = function () {//退出ibroker
    cordova.exec(null, null, "TBIBrokerPlugin", "logoutIBrokerByJYBNative", []);
};
ibrokerApp.prototype.takeStockOrderByJYBNative = function (successCallback,request) {//买卖 "tradeType" : "0",    // 0表示买入 1 表示卖出
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "takeStockOrderByJYBNative", [request]);
};
ibrokerApp.prototype.cancelStockOrderByJYBNative = function (request) {//撤单
    cordova.exec(null, null, "TBIBrokerPlugin", "cancelStockOrderByJYBNative", [request]);
};
ibrokerApp.prototype.iBOpenAdvertisementByJYBNative = function (request) {//撤单
    console.log('跳转广告',request);
    cordova.exec(null, null, "TBIBrokerPlugin", "iBOpenAdvertisementByJYBNative", [request]);
};
ibrokerApp.prototype.iBCommentByJYBNative = function (successCallback) {//评论
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "iBCommentByJYBNative", []);
};
ibrokerApp.prototype.tg_closeLoadingByJYBNative = function (successCallback) {//关闭原生的加载动画
    cordova.exec(successCallback, null, "TBIBrokerPlugin", "tg_closeLoadingByJYBNative", []);
};

cordova.addConstructor(function () {
    //alert("=11111111")
    if (!window.plugins) {
        window.plugins = {};
    }
    window.plugins.ibrokerApp = new ibrokerApp();
    //alert("=22")
});

